| Qore XdbcFirebirdSqlUtilBase Module Reference 0.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XdbcFirebirdSqlUtilBase::XdbcFirebirdForeignConstraint Class Reference

represents a Firebird-specific foreign constraint More...

## Public Member Functions
string | getDropSql (string table_name)
| returns a string that can be used to drop the foreign constraint from the database
softlist | getRenameSql (string table_name, string new_name)
| returns a string that drops the constraint and re-adds it, since XdbcFirebird does not support renaming constraints

## Detailed Description

represents a Firebird-specific foreign constraint